<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.7.13</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>je-xctl-module</groupId>
    <artifactId>springboot-angular-je-xctl-module</artifactId>
    <version>1.5.0</version>
    <name>springboot-angular-je-xctl-module</name>
    <description>springboot-angular-je-xctl-module</description>
    <properties>
        <java.version>1.8</java.version>
        <kotlin.version>1.8.21</kotlin.version>
        <xdep-core.version>1.2.1</xdep-core.version>
        <xdep-plantuml.version>1.3.0</xdep-plantuml.version>
        <xdep-java.version>1.2.0</xdep-java.version>
        <xdep-springboot.version>1.3.0</xdep-springboot.version>
        <xdep-ng.version>1.3.0</xdep-ng.version>
    </properties>
    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jetbrains.kotlin</groupId>
            <artifactId>kotlin-reflect</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jetbrains.kotlin</groupId>
            <artifactId>kotlin-stdlib-jdk8</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>xtool.xdeps</groupId>
            <artifactId>xdep-core</artifactId>
            <version>${xdep-core.version}</version>
        </dependency>
        <dependency>
            <groupId>xtool.xdeps</groupId>
            <artifactId>xdep-plantuml</artifactId>
            <version>${xdep-plantuml.version}</version>
        </dependency>
        <dependency>
            <groupId>xtool.xdeps</groupId>
            <artifactId>xdep-java</artifactId>
            <version>${xdep-java.version}</version>
        </dependency>
        <dependency>
            <groupId>xtool.xdeps</groupId>
            <artifactId>xdep-springboot</artifactId>
            <version>${xdep-springboot.version}</version>
        </dependency>
        <dependency>
            <groupId>xtool.xdeps</groupId>
            <artifactId>xdep-ng</artifactId>
            <version>${xdep-ng.version}</version>
        </dependency>

    </dependencies>

    <repositories>
        <repository>
            <id>gitlab-maven</id>
            <url>https://gitlab.com/api/v4/groups/67053409/-/packages/maven</url>
        </repository>
    </repositories>


    <distributionManagement>
        <repository>
            <id>gitlab-maven</id>
            <url>${env.CI_SERVER_URL}/api/v4/projects/${env.CI_PROJECT_ID}/packages/maven</url>
        </repository>
        <snapshotRepository>
            <id>gitlab-maven</id>
            <url>${env.CI_SERVER_URL}/api/v4/projects/${env.CI_PROJECT_ID}/packages/maven</url>
        </snapshotRepository>
    </distributionManagement>

    <build>
        <sourceDirectory>${project.basedir}/src/main/kotlin</sourceDirectory>
        <testSourceDirectory>${project.basedir}/src/test/kotlin</testSourceDirectory>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.jetbrains.kotlin</groupId>
                <artifactId>kotlin-maven-plugin</artifactId>
                <configuration>
                    <args>
                        <arg>-Xjsr305=strict</arg>
                    </args>
                    <compilerPlugins>
                        <plugin>spring</plugin>
                    </compilerPlugins>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>org.jetbrains.kotlin</groupId>
                        <artifactId>kotlin-maven-allopen</artifactId>
                        <version>${kotlin.version}</version>
                    </dependency>
                </dependencies>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <id>build-info</id>
                        <goals>
                            <goal>build-info</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
